#cs LICENSING AND PURPOSE
vim: ts=4 sw=4 nu ai foldmethod=syntax

	Purpose: Verify a UAF user against a simple un/pw check file

	Copyright Josh Cepek 2012

	Licensed under the GNU AGPL version 3

	See Licensing\agpl-3.0.txt for full licensing details.

#ce

Opt("MustDeclareVars", True)
#NoTrayIcon
#NoAutoIt3Execute

#include "..\UserAuthFlat.au3"

#include <Constants.au3>

; exit codes:
Global $EXIT_SUCCESS		= 0		; passed authentication
Global $EXIT_FAIL			= 1		; failed authentication
Global $EXIT_PARAMS			= 2		; bad params passed
Global $EXIT_FILE_USER		= 3		; can't open input files, or badly formatted file
Global $EXIT_LOAD_AUTH		= 4		; can't load auth input file

; must get 2 params:
If $CmdLine[0] < 2 Then
	Exit $EXIT_PARAMS
EndIf

; define files from input:
Global $auth_file = $CmdLine[1]
Global $user_file = $CmdLine[2]

; get un/pw:

Global $handle = FileOpen($user_file, $FO_READ)
If $handle = -1 Then
	Exit $EXIT_FILE_USER
EndIf

Global $user = FileReadLine($handle)
Global $pass = FileReadLine($handle)
If @error OR StringLen($user) = 0 Then
	Exit $EXIT_FILE_USER
EndIf

FileClose($handle)

; load the auth file into UAF context:
_UAF_LoadAuthFile($auth_file)
If @error Then
	Exit $EXIT_LOAD_AUTH
EndIf

; validate the user with supplied credentials:
If _UAF_ValidateUser($user, $pass) Then
	Exit $EXIT_SUCCESS
EndIf

Exit $EXIT_FAIL
